#
# spec file for package python-partd
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-partd
Version:        0.3.8
Release:        lp151.2.2
Summary:        Appendable key-value storage
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/mrocklin/partd/
Source:         https://files.pythonhosted.org/packages/source/p/partd/partd-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module locket}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module toolz}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with tests}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-locket
Requires:       python-toolz
Recommends:     python-blosc
Recommends:     python-numpy >= 1.9.0
Recommends:     python-pandas
Recommends:     python-pyzmq
Recommends:     python-msgpack-python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Key-value byte store with appendable values

Partd stores key-value pairs.
Values are raw bytes.
We append on old values.

Partd excels at shuffling operations.

%prep
%setup -q -n partd-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
pushd partd/tests
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix}
}
popd
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Sun Mar 11 2018 sebix+novell.com@sebix.at
- Use %%license macro for license.
* Thu Nov  2 2017 arun@gmx.de
- specfile:
  * add LICENSE.txt to %%doc
- update to version 0.3.8:
  * BUG: Fixed serialization for Datetime with tz (#25)
  * Path management (#24)
  * Add LICENSE.txt to manifest. (#23)
  * `msgpack.packb` may not have packed utf-8 compatible bytes, so
    don't … (#22)
  * Fix pandas/numpy serialization (#21)
  * Handle categorical indices
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 0.3.7
- Only make hard requirements BuildRequires and Requires.
- Implement single-spec version.
* Tue Jul 14 2015 toddrme2178@gmail.com
- Initial version
